/*
 * Copyright (C) 2002
 *	Tommy Scheunemann <net@arrishq.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "wmconfig.h"
#include "prototypes.h"
#include "package.h"
#include <stdio.h>

extern unsigned int flags;

void output_enlightenment(struct group *root, char *use_term)
{
 struct item *item;
 char *root_name;
 if (root == (struct group *)NULL)
  return;
 item = root->items;
 while (item->type != 0) {
  if (item->type == ITEM_MENU)
   output_enlightenment(item->data, use_term);
  item++;
 }
 item = root->items;
 while (item->type != 0) {
  if (item->type == ITEM_APP) {
   struct package *app;
   app = (struct package *)item->data;
  }
  item++;
 }
 item = root->items;
/* root_name = single_string(root->name); */
 printf("BEGIN_NEW_MENU(\"%s\", \"ROOT\")\n", single_string(root->name));
 printf(" ADD_MENU_TITLE(\"%s\")\n", root->name);
 while (item->type != 0) {
  if (item->type == ITEM_MENU) {
   struct group *tmp;
   tmp = (struct group *)item->data;
   printf(" ADD_MENU_SUBMENU_TEXT_ITEM(\"%s\", \"%s\")\n", tmp->name, single_string(tmp->name));
  } else if (item->type == ITEM_APP) {
   struct package *app;
   app = (struct package *)item->data;
   if (app->restart) {
    if (strncasecmp(app->restart, "restart", 7) == 0)
     printf(" \"%s\" \"%s\" exec \"eesh -e 'restart'\"\n", app->name, app->mini_icon == NULL || is_set(NO_MINI_ICONS) ? "NULL" : app->mini_icon);
    else if (strncasecmp(app->restart, "quit", 4) == 0)
     printf(" \"%s\" \"%s\" exec \"eesh -e 'exit'\"\n", app->name, app->mini_icon == NULL || is_set(NO_MINI_ICONS) ? "NULL" : app->mini_icon);
    else
     printf(" \"%s\" \"%s\" exec \"eesh -e 'restart_wm %s'\"\n", app->name, app->mini_icon == NULL || is_set(NO_MINI_ICONS) ? "NULL" : app->mini_icon, app->exec);
   } else {
    if (app->name && app->exec && app->terminal) {
     printf(" ADD_MENU_ITEM(\"%s\", \"%s\", __A_EXEC, \"%s -e %s\")\n", app->name, app->mini_icon == NULL || is_set(NO_MINI_ICONS) ? "NULL" : app->mini_icon, use_term, app->exec);
    } else if (app->name && app->exec) {
     printf(" ADD_MENU_ITEM(\"%s\", \"%s\", __A_EXEC, \"%s\")\n", app->name, app->mini_icon == NULL || is_set(NO_MINI_ICONS) ? "NULL" : app->mini_icon, app->exec);
    }
   }
  }
  item++;
 }
 printf("END_MENU\n\n");
 return;
}
